## linuxmuster-client-extras 0.1.8-1

=== Makefile ===
#!/usr/bin/make
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=

CONF=$(DESTDIR)/etc/linuxmuster-client/extras
BIN=$(DESTDIR)/usr/bin
SBIN=$(DESTDIR)/usr/sbin
SHARE=$(DESTDIR)/usr/share/linuxmuster-client-extras

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make setup'
	@echo '      install script to setup end execute login scripts'
	@echo ' '
	@echo '   make watch-my-home'
	@echo '      install script to trigger alarm, when files/dirs are saved outside a dir'
	@echo ' '
	@echo '   make set-default-printer'
	@echo '      install set default printer script'
	@echo ' '
	@echo '   make setup-italc-rooms'
	@echo '      install italc stuff'
	@echo ' '
	@echo '   make shutdown'
	@echo '      install shutdown script'
	@echo ' '
	@echo '   make server-infos'
	@echo '      install server information script'
	@echo ' '
	@echo '   make create-desktop-icons'
	@echo '      install scripts to sync desktop icons'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make clean'
	@echo '      clean up stuff created by packaging'
	@echo ' '


default: 
	@echo 'Doing Nothing'


setup:
	@echo '   * Installing the setup and login scripts'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 setup/linuxmuster-client-extras-login $(BIN)
	@install -d -m0755 -oroot -groot $(SBIN)
	@install -oroot -groot --mode=0755 setup/linuxmuster-client-extras-setup $(SBIN)
	@install -d -m0755 -oroot -groot $(SHARE)
	@install -d -m0755 -oroot -groot $(SHARE)/examples
	@install -oroot -groot --mode=0755 setup/linuxmuster-client-extras.desktop $(SHARE)
	@install -oroot -groot --mode=0755 setup/examples/bszleo-setup $(SHARE)/examples


watch-my-home:
	@echo '   * Installing the script watch-my-home'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 watch-my-home/watch-my-home $(BIN)
	@echo '   * Installing the configuration file'
	@install -d -m755 -oroot -groot $(CONF)
	@install -oroot -groot --mode=0644 watch-my-home/watch-my-home.conf $(CONF)


# build a package
deb:
	### deb
	@echo 'Did you do a dch -i ?'
	#@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git'
	@echo ''


clean:
	rm -rf  debian/linusmuster-client-extras


set-default-printer:
	@echo '   * Installing printer scripts'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 printer/set-default-printer $(BIN)
	@install -d -m755 -oroot -groot $(CONF)
	@install -oroot -groot --mode=0644 printer/set-default-printer.conf $(CONF)


setup-italc-rooms:
	@echo '   * Installing italc scripts'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 italc/setup-italc-rooms $(BIN)
	@install -d -m755 -oroot -groot $(CONF)
	@install -oroot -groot --mode=0644 italc/setup-italc-rooms.conf $(CONF)


shutdown:
# no config file
	@echo '   * Installing shutdown script (without cronjob entry)'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 shutdown/xhost-root $(BIN)
	@install -oroot -groot --mode=0755 shutdown/check-shutdown $(BIN)

server-infos:
# no config file
	@echo '   * Installing server information script (without cronjob entry)'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 server-information/show-server-information $(BIN)
	@install -oroot -groot --mode=0755 server-information/setup-show-server-information $(BIN)



create-desktop-icons:
	@echo '   * Installing desktop icons'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 desktop-icons/create-desktop-icons $(BIN)

=== debian/changelog ===
linuxmuster-client-extras (0.1.8-1) trusty; urgency=medium

  * Configure leoclient2 logon scripts (printer spooler and splitter)

 -- Ruediger Beck <bz@j1009p21.bszleo.de>  Thu, 11 Dec 2014 15:46:20 +0100

linuxmuster-client-extras (0.1.5-1) precise; urgency=low

  * Bugfix #49 and #50
	- stop watch-my-home on logout
	- watch-my-home: Ignore MAGICK* case insensitive

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 14 Dec 2012 14:46:42 +0100

linuxmuster-client-extras (0.1.4-1) precise; urgency=low

  * Added setup-show-server-information script

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Tue, 13 Nov 2012 16:42:54 +0100

linuxmuster-client-extras (0.1.3-2) precise; urgency=low

  * Dummy Package

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 26 Oct 2012 15:49:31 +0200

linuxmuster-client-extras (0.1.3-1) precise; urgency=low

  * New upstream (cronjob for shutdown, cronjob for server infos)

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 26 Oct 2012 15:20:20 +0200

linuxmuster-client-extras (0.1.2-1) precise-testing; urgency=low

  * New upstream

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 28 Sep 2012 13:10:04 +0200

linuxmuster-client-extras (0.1.1-1) precise-testing; urgency=low

  * Upstream fix: Message with links is ok

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 27 Sep 2012 14:47:32 +0200

linuxmuster-client-extras (0.1.0-1) precise-testing; urgency=low

  * Ne Package for precise repo

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 27 Sep 2012 13:22:27 +0200

linuxmuster-client-extras (0.0.8-1) linuxmuster-client-testing; urgency=low

  * Minimal changes

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 21 Sep 2012 17:45:02 +0200

linuxmuster-client-extras (0.0.7-1) linuxmuster-client-testing; urgency=low

  * .desktop added again

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 21 Sep 2012 13:41:07 +0200

linuxmuster-client-extras (0.0.6-1) linuxmuster-client-testing; urgency=low

  * Start login scripts in Background, so that they work 

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Mon, 17 Sep 2012 14:03:50 +0200

linuxmuster-client-extras (0.0.5-1) precise; urgency=low

  * New order in login scripts

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Mon, 17 Sep 2012 13:40:54 +0200

linuxmuster-client-extras (0.0.4-1) precise; urgency=low

  * New fixes

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 14 Sep 2012 15:40:35 +0200

linuxmuster-client-extras (0.0.3-1) precise; urgency=low

  * New upstream, example package

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 14 Sep 2012 13:32:46 +0200

linuxmuster-client-extras (0.0.2-1) precise; urgency=low

  * New upstream relese and packaging

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 14 Sep 2012 11:37:44 +0200

linuxmuster-client-extras (0.0.1-1) lenny; urgency=low

  * First Revision

 -- root <root@lenny-build.kvmdomain.org.local>  Tue, 03 Aug 2010 18:13:17 +0200

=== debian/control ===
Source: linuxmuster-client-extras
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: linuxmuster-client-extras
Architecture: all
Suggests: 
Pre-Depends: 
Depends: linuxmuster-client-profile, libfilesys-df-perl, liblog-log4perl-perl, liblinux-inotify2-perl, zenity
Description: alternativ software to start VirtualBox
 leovirtstarter-client copies and caches VirtualBox snapshots and starts
 them

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add commands to install package into debian/linuxmuster-client-extras
	$(MAKE) -B setup DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras
	$(MAKE) -B watch-my-home DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras
	$(MAKE) -B set-default-printer DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras
	$(MAKE) -B setup-italc-rooms DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras
	$(MAKE) -B shutdown DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras
	$(MAKE) -B create-desktop-icons DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras
	$(MAKE) -B server-infos DESTDIR=$(CURDIR)/debian/linuxmuster-client-extras

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for linuxmuster-client-extras
#	dh_installman -psophomorix2 sophomorix2/man/de/sophomorix.de.8
#	dh_undocumented
	dh_install --sourcedir=debian/linuxmuster-client-extras
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## linuxmuster-client-extras 0.1.8-3

=== debian/changelog ===
linuxmuster-client-extras (0.1.8-3) xenial; urgency=medium

  * stable release for xenial xerus

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Mon, 18 Apr 2016 12:39:20 +0100
 

linuxmuster-client-extras (0.1.8-2) xenial-testing; urgency=medium

  * First testing Release for Ubuntu Xenial Xerus

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Thu, 09 Feb 2016 11:12:20 +0100
 
